GroovyParserBaseVisitor (groovy 3.0.9 API)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParserBaseVisitor<Result>

- org.apache.groovy.parser.antlr4.GroovyParserBaseVisitor

- All Implemented Interfaces and Traits:
    GroovyParserVisitor

      public class GroovyParserBaseVisitor<Result>
      extends AbstractParseTreeVisitor
      implements GroovyParserVisitor

  This class provides an empty implementation of GroovyParserVisitor, which can be extended to create a visitor which only needs to handle a subset of the available methods.

  Type Parameters:
    `Result` - The return type of the visit operation. Use Void for operations with no return type.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Result` | `visitAdditiveExprAlt(AdditiveExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitAndExprAlt(AndExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitAnnotatedQualifiedClassName(AnnotatedQualifiedClassNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitAnnotation(AnnotationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitAnnotationName(AnnotationNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitAnnotationsOpt(AnnotationsOptContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitAnonymousInnerClassDeclaration(AnonymousInnerClassDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitArguments(ArgumentsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitArrayInitializer(ArrayInitializerContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitAssertStatement(AssertStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitAssertStmtAlt(AssertStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitAssignmentExprAlt(AssignmentExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBlock(BlockContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBlockStatement(BlockStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBlockStatements(BlockStatementsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBlockStatementsOpt(BlockStatementsOptContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBlockStmtAlt(BlockStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBooleanLiteralAlt(BooleanLiteralAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBreakStatement(BreakStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBreakStmtAlt(BreakStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBuiltInType(BuiltInTypeContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitBuiltInTypePrmrAlt(BuiltInTypePrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCastExprAlt(CastExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCastParExpression(CastParExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCatchClause(CatchClauseContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCatchType(CatchTypeContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClassBody(ClassBodyContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClassBodyDeclaration(ClassBodyDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClassDeclaration(ClassDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClassName(ClassNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClassOrInterfaceModifier(ClassOrInterfaceModifierContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClassOrInterfaceModifiers(ClassOrInterfaceModifiersContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClassOrInterfaceModifiersOpt(ClassOrInterfaceModifiersOptContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClassOrInterfaceType(ClassOrInterfaceTypeContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClassicalForControl(ClassicalForControlContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClosure(ClosureContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClosureOrLambdaExpression(ClosureOrLambdaExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitClosureOrLambdaExpressionPrmrAlt(ClosureOrLambdaExpressionPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCommandArgument(CommandArgumentContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCommandExprAlt(CommandExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCommandExpression(CommandExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCompilationUnit(CompilationUnitContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitConditionalExprAlt(ConditionalExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitConditionalStatement(ConditionalStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitConditionalStmtAlt(ConditionalStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitContinueStatement(ContinueStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitContinueStmtAlt(ContinueStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCreatedName(CreatedNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitCreator(CreatorContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitDim(DimContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitDoWhileStmtAlt(DoWhileStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitDynamicMemberName(DynamicMemberNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitElementValue(ElementValueContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitElementValueArrayInitializer(ElementValueArrayInitializerContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitElementValuePair(ElementValuePairContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitElementValuePairName(ElementValuePairNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitElementValuePairs(ElementValuePairsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitElementValues(ElementValuesContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEmptyDims(EmptyDimsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEmptyDimsOpt(EmptyDimsOptContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEmptyStmtAlt(EmptyStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEnhancedArgumentListElement(EnhancedArgumentListElementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEnhancedArgumentListInPar(EnhancedArgumentListInParContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEnhancedForControl(EnhancedForControlContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEnhancedStatementExpression(EnhancedStatementExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEnumConstant(EnumConstantContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEnumConstants(EnumConstantsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitEqualityExprAlt(EqualityExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitExclusiveOrExprAlt(ExclusiveOrExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitExpression(ExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitExpressionInPar(ExpressionInParContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitExpressionList(ExpressionListContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitExpressionListElement(ExpressionListElementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitExpressionStmtAlt(ExpressionStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitFieldDeclaration(FieldDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitFinallyBlock(FinallyBlockContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitFloatingPointLiteralAlt(FloatingPointLiteralAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitForControl(ForControlContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitForInit(ForInitContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitForStmtAlt(ForStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitForUpdate(ForUpdateContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitFormalParameter(FormalParameterContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitFormalParameterList(FormalParameterListContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitFormalParameters(FormalParametersContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitGstring(GstringContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitGstringPath(GstringPathContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitGstringPrmrAlt(GstringPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitGstringValue(GstringValueContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitIdentifier(IdentifierContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitIdentifierPrmrAlt(IdentifierPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitIfElseStatement(IfElseStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitImportDeclaration(ImportDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitInclusiveOrExprAlt(InclusiveOrExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitIndexPropertyArgs(IndexPropertyArgsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitIntegerLiteralAlt(IntegerLiteralAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitKeywords(KeywordsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLabeledStmtAlt(LabeledStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLambdaBody(LambdaBodyContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitList(ListContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitListPrmrAlt(ListPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLiteral(LiteralContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLiteralPrmrAlt(LiteralPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLocalVariableDeclaration(LocalVariableDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLocalVariableDeclarationStmtAlt(LocalVariableDeclarationStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLogicalAndExprAlt(LogicalAndExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLogicalOrExprAlt(LogicalOrExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLoopStatement(LoopStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitLoopStmtAlt(LoopStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMap(MapContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMapEntry(MapEntryContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMapEntryLabel(MapEntryLabelContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMapEntryList(MapEntryListContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMapPrmrAlt(MapPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMemberDeclaration(MemberDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMethodBody(MethodBodyContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMethodDeclaration(MethodDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMethodName(MethodNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitModifier(ModifierContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitModifiers(ModifiersContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitModifiersOpt(ModifiersOptContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMultipleAssignmentExprAlt(MultipleAssignmentExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitMultiplicativeExprAlt(MultiplicativeExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitNamePart(NamePartContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitNamedPropertyArgs(NamedPropertyArgsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitNewPrmrAlt(NewPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitNls(NlsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitNonWildcardTypeArguments(NonWildcardTypeArgumentsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitNullLiteralAlt(NullLiteralAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitPackageDeclaration(PackageDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitParExpression(ParExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitParenPrmrAlt(ParenPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitPathElement(PathElementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitPathExpression(PathExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitPostfixExprAlt(PostfixExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitPostfixExpression(PostfixExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitPowerExprAlt(PowerExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitPrimary(PrimaryContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitPrimitiveType(PrimitiveTypeContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitQualifiedClassName(QualifiedClassNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitQualifiedClassNameList(QualifiedClassNameListContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitQualifiedName(QualifiedNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitQualifiedNameElement(QualifiedNameElementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitQualifiedNameElements(QualifiedNameElementsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitQualifiedStandardClassName(QualifiedStandardClassNameContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitRegexExprAlt(RegexExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitRelationalExprAlt(RelationalExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitResource(ResourceContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitResourceList(ResourceListContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitResources(ResourcesContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitReturnStmtAlt(ReturnStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitReturnType(ReturnTypeContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitRparen(RparenContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitScriptStatement(ScriptStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitScriptStatements(ScriptStatementsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitSep(SepContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitShiftExprAlt(ShiftExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitStandardLambdaExpression(StandardLambdaExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitStandardLambdaParameters(StandardLambdaParametersContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitStatement(StatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitStatementExpression(StatementExpressionContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitStringLiteral(StringLiteralContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitStringLiteralAlt(StringLiteralAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitSuperPrmrAlt(SuperPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitSwitchBlockStatementGroup(SwitchBlockStatementGroupContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitSwitchLabel(SwitchLabelContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitSwitchStatement(SwitchStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitSynchronizedStmtAlt(SynchronizedStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitThisFormalParameter(ThisFormalParameterContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitThisPrmrAlt(ThisPrmrAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitThrowStmtAlt(ThrowStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTryCatchStatement(TryCatchStatementContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTryCatchStmtAlt(TryCatchStmtAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitType(TypeContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeArgument(TypeArgumentContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeArguments(TypeArgumentsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeArgumentsOrDiamond(TypeArgumentsOrDiamondContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeBound(TypeBoundContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeDeclaration(TypeDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeList(TypeListContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeNamePair(TypeNamePairContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeNamePairs(TypeNamePairsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeParameter(TypeParameterContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitTypeParameters(TypeParametersContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitUnaryAddExprAlt(UnaryAddExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitUnaryNotExprAlt(UnaryNotExprAltContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableDeclaration(VariableDeclarationContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableDeclarator(VariableDeclaratorContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableDeclaratorId(VariableDeclaratorIdContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableDeclarators(VariableDeclaratorsContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableInitializer(VariableInitializerContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableInitializers(VariableInitializersContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableModifier(VariableModifierContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableModifiers(VariableModifiersContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableModifiersOpt(VariableModifiersOptContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitVariableNames(VariableNamesContext ctx)` {@inheritDoc}
    `` | `public Result` | `visitWhileStmtAlt(WhileStmtAltContext ctx)` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractParseTreeVisitor` | `visitChildren, visitErrorNode, visitTerminal, visit, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override public Result visitAdditiveExprAlt(@NotNull AdditiveExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitAndExprAlt(@NotNull AndExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitAnnotatedQualifiedClassName(@NotNull AnnotatedQualifiedClassNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitAnnotation(@NotNull AnnotationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitAnnotationName(@NotNull AnnotationNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitAnnotationsOpt(@NotNull AnnotationsOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitAnonymousInnerClassDeclaration(@NotNull AnonymousInnerClassDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitArguments(@NotNull ArgumentsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitArrayInitializer(@NotNull ArrayInitializerContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitAssertStatement(@NotNull AssertStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitAssertStmtAlt(@NotNull AssertStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitAssignmentExprAlt(@NotNull AssignmentExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBlock(@NotNull BlockContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBlockStatement(@NotNull BlockStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBlockStatements(@NotNull BlockStatementsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBlockStatementsOpt(@NotNull BlockStatementsOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBlockStmtAlt(@NotNull BlockStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBooleanLiteralAlt(@NotNull BooleanLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBreakStatement(@NotNull BreakStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBreakStmtAlt(@NotNull BreakStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBuiltInType(@NotNull BuiltInTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitBuiltInTypePrmrAlt(@NotNull BuiltInTypePrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCastExprAlt(@NotNull CastExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCastParExpression(@NotNull CastParExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCatchClause(@NotNull CatchClauseContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCatchType(@NotNull CatchTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClassBody(@NotNull ClassBodyContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClassBodyDeclaration(@NotNull ClassBodyDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClassDeclaration(@NotNull ClassDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClassName(@NotNull ClassNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClassOrInterfaceModifier(@NotNull ClassOrInterfaceModifierContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClassOrInterfaceModifiers(@NotNull ClassOrInterfaceModifiersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClassOrInterfaceModifiersOpt(@NotNull ClassOrInterfaceModifiersOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClassOrInterfaceType(@NotNull ClassOrInterfaceTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClassicalForControl(@NotNull ClassicalForControlContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClosure(@NotNull ClosureContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClosureOrLambdaExpression(@NotNull ClosureOrLambdaExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitClosureOrLambdaExpressionPrmrAlt(@NotNull ClosureOrLambdaExpressionPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCommandArgument(@NotNull CommandArgumentContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCommandExprAlt(@NotNull CommandExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCommandExpression(@NotNull CommandExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCompilationUnit(@NotNull CompilationUnitContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitConditionalExprAlt(@NotNull ConditionalExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitConditionalStatement(@NotNull ConditionalStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitConditionalStmtAlt(@NotNull ConditionalStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitContinueStatement(@NotNull ContinueStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitContinueStmtAlt(@NotNull ContinueStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCreatedName(@NotNull CreatedNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitCreator(@NotNull CreatorContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitDim(@NotNull DimContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitDoWhileStmtAlt(@NotNull DoWhileStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitDynamicMemberName(@NotNull DynamicMemberNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitElementValue(@NotNull ElementValueContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitElementValueArrayInitializer(@NotNull ElementValueArrayInitializerContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitElementValuePair(@NotNull ElementValuePairContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitElementValuePairName(@NotNull ElementValuePairNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitElementValuePairs(@NotNull ElementValuePairsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitElementValues(@NotNull ElementValuesContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEmptyDims(@NotNull EmptyDimsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEmptyDimsOpt(@NotNull EmptyDimsOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEmptyStmtAlt(@NotNull EmptyStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEnhancedArgumentListElement(@NotNull EnhancedArgumentListElementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEnhancedArgumentListInPar(@NotNull EnhancedArgumentListInParContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEnhancedForControl(@NotNull EnhancedForControlContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEnhancedStatementExpression(@NotNull EnhancedStatementExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEnumConstant(@NotNull EnumConstantContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEnumConstants(@NotNull EnumConstantsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitEqualityExprAlt(@NotNull EqualityExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitExclusiveOrExprAlt(@NotNull ExclusiveOrExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitExpression(@NotNull ExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitExpressionInPar(@NotNull ExpressionInParContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitExpressionList(@NotNull ExpressionListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitExpressionListElement(@NotNull ExpressionListElementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitExpressionStmtAlt(@NotNull ExpressionStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitFieldDeclaration(@NotNull FieldDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitFinallyBlock(@NotNull FinallyBlockContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitFloatingPointLiteralAlt(@NotNull FloatingPointLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitForControl(@NotNull ForControlContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitForInit(@NotNull ForInitContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitForStmtAlt(@NotNull ForStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitForUpdate(@NotNull ForUpdateContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitFormalParameter(@NotNull FormalParameterContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitFormalParameterList(@NotNull FormalParameterListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitFormalParameters(@NotNull FormalParametersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitGstring(@NotNull GstringContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitGstringPath(@NotNull GstringPathContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitGstringPrmrAlt(@NotNull GstringPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitGstringValue(@NotNull GstringValueContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitIdentifier(@NotNull IdentifierContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitIdentifierPrmrAlt(@NotNull IdentifierPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitIfElseStatement(@NotNull IfElseStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitImportDeclaration(@NotNull ImportDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitInclusiveOrExprAlt(@NotNull InclusiveOrExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitIndexPropertyArgs(@NotNull IndexPropertyArgsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitIntegerLiteralAlt(@NotNull IntegerLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitKeywords(@NotNull KeywordsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLabeledStmtAlt(@NotNull LabeledStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLambdaBody(@NotNull LambdaBodyContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitList(@NotNull ListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitListPrmrAlt(@NotNull ListPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLiteral(@NotNull LiteralContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLiteralPrmrAlt(@NotNull LiteralPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLocalVariableDeclaration(@NotNull LocalVariableDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLocalVariableDeclarationStmtAlt(@NotNull LocalVariableDeclarationStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLogicalAndExprAlt(@NotNull LogicalAndExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLogicalOrExprAlt(@NotNull LogicalOrExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLoopStatement(@NotNull LoopStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitLoopStmtAlt(@NotNull LoopStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMap(@NotNull MapContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMapEntry(@NotNull MapEntryContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMapEntryLabel(@NotNull MapEntryLabelContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMapEntryList(@NotNull MapEntryListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMapPrmrAlt(@NotNull MapPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMemberDeclaration(@NotNull MemberDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMethodBody(@NotNull MethodBodyContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMethodDeclaration(@NotNull MethodDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMethodName(@NotNull MethodNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitModifier(@NotNull ModifierContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitModifiers(@NotNull ModifiersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitModifiersOpt(@NotNull ModifiersOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMultipleAssignmentExprAlt(@NotNull MultipleAssignmentExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitMultiplicativeExprAlt(@NotNull MultiplicativeExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitNamePart(@NotNull NamePartContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitNamedPropertyArgs(@NotNull NamedPropertyArgsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitNewPrmrAlt(@NotNull NewPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitNls(@NotNull NlsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitNonWildcardTypeArguments(@NotNull NonWildcardTypeArgumentsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitNullLiteralAlt(@NotNull NullLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitPackageDeclaration(@NotNull PackageDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitParExpression(@NotNull ParExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitParenPrmrAlt(@NotNull ParenPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitPathElement(@NotNull PathElementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitPathExpression(@NotNull PathExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitPostfixExprAlt(@NotNull PostfixExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitPostfixExpression(@NotNull PostfixExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitPowerExprAlt(@NotNull PowerExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitPrimary(@NotNull PrimaryContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitPrimitiveType(@NotNull PrimitiveTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitQualifiedClassName(@NotNull QualifiedClassNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitQualifiedClassNameList(@NotNull QualifiedClassNameListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitQualifiedName(@NotNull QualifiedNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitQualifiedNameElement(@NotNull QualifiedNameElementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitQualifiedNameElements(@NotNull QualifiedNameElementsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitQualifiedStandardClassName(@NotNull QualifiedStandardClassNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitRegexExprAlt(@NotNull RegexExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitRelationalExprAlt(@NotNull RelationalExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitResource(@NotNull ResourceContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitResourceList(@NotNull ResourceListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitResources(@NotNull ResourcesContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitReturnStmtAlt(@NotNull ReturnStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitReturnType(@NotNull ReturnTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitRparen(@NotNull RparenContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitScriptStatement(@NotNull ScriptStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitScriptStatements(@NotNull ScriptStatementsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitSep(@NotNull SepContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitShiftExprAlt(@NotNull ShiftExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitStandardLambdaExpression(@NotNull StandardLambdaExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitStandardLambdaParameters(@NotNull StandardLambdaParametersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitStatement(@NotNull StatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitStatementExpression(@NotNull StatementExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitStringLiteral(@NotNull StringLiteralContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitStringLiteralAlt(@NotNull StringLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitSuperPrmrAlt(@NotNull SuperPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitSwitchBlockStatementGroup(@NotNull SwitchBlockStatementGroupContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitSwitchLabel(@NotNull SwitchLabelContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitSwitchStatement(@NotNull SwitchStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitSynchronizedStmtAlt(@NotNull SynchronizedStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitThisFormalParameter(@NotNull ThisFormalParameterContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitThisPrmrAlt(@NotNull ThisPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitThrowStmtAlt(@NotNull ThrowStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTryCatchStatement(@NotNull TryCatchStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTryCatchStmtAlt(@NotNull TryCatchStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitType(@NotNull TypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeArgument(@NotNull TypeArgumentContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeArguments(@NotNull TypeArgumentsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeArgumentsOrDiamond(@NotNull TypeArgumentsOrDiamondContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeBound(@NotNull TypeBoundContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeDeclaration(@NotNull TypeDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeList(@NotNull TypeListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeNamePair(@NotNull TypeNamePairContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeNamePairs(@NotNull TypeNamePairsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeParameter(@NotNull TypeParameterContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitTypeParameters(@NotNull TypeParametersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitUnaryAddExprAlt(@NotNull UnaryAddExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitUnaryNotExprAlt(@NotNull UnaryNotExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableDeclaration(@NotNull VariableDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableDeclarator(@NotNull VariableDeclaratorContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableDeclaratorId(@NotNull VariableDeclaratorIdContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableDeclarators(@NotNull VariableDeclaratorsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableInitializer(@NotNull VariableInitializerContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableInitializers(@NotNull VariableInitializersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableModifier(@NotNull VariableModifierContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableModifiers(@NotNull VariableModifiersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableModifiersOpt(@NotNull VariableModifiersOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitVariableNames(@NotNull VariableNamesContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @Override public Result visitWhileStmtAlt(@NotNull WhileStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.